## golang-gitaly-proto 0.89.0+dfsg

=== Makefile ===
TARGET_DIR := $(CURDIR)/_build
TARGET_SETUP := $(TARGET_DIR)/.ok
BIN_BUILD_DIR := $(TARGET_DIR)/bin

unexport GOROOT
unexport GOBIN

export GOPATH := $(TARGET_DIR)
export PATH := $(GOPATH)/bin:$(PATH)

# Developer Tools
PROTOC = $(TARGET_DIR)/protoc/bin/protoc
PROTOC_GEN_RUBY = $(BIN_BUILD_DIR)/grpc_tools_ruby_protoc
PROTOC_GEN_GO = $(BIN_BUILD_DIR)/protoc-gen-go
PROTOC_GEN_DOC = $(BIN_BUILD_DIR)/protoc-gen-doc

.PHONY: all
all: generate

$(TARGET_SETUP):
	rm -rf $(TARGET_DIR)
	mkdir -p $(BIN_BUILD_DIR)
	touch $(TARGET_SETUP)

.PHONY: generate
generate: install-developer-tools
	_support/generate-from-proto

.PHONY: clean
clean:
	rm -rf $(TARGET_DIR) public

.PHONY: release
release: install-developer-tools
ifeq ($(version), "")
	$error("Please run 'make release version=x.y.z'")
endif
	_support/release $(version)

.PHONY: check-grpc-proto-clients
check-grpc-proto-clients: install-developer-tools
	_support/check-grpc-proto-clients

.PHONY: install-developer-tools
install-developer-tools: $(TARGET_SETUP) $(PROTOC) $(PROTOC_GEN_GO) $(PROTOC_GEN_RUBY)

.PHONY: docs
docs: $(TARGET_SETUP) $(PROTOC_GEN_DOC) $(PROTOC)
	rm -rf public && mkdir public
	$(PROTOC) --doc_out=./public \
	          --plugin=protoc-gen-doc=$(PROTOC_GEN_DOC) \
	          *.proto

$(PROTOC): $(TARGET_SETUP)
	_support/install-protoc

$(PROTOC_GEN_GO): $(TARGET_SETUP)
	go get -v github.com/golang/protobuf/protoc-gen-go

$(PROTOC_GEN_RUBY): $(TARGET_SETUP) _support/Gemfile
	bundle install --gemfile=_support/Gemfile --binstubs=$(BIN_BUILD_DIR)

$(PROTOC_GEN_DOC): $(TARGET_SETUP)
	go get -v -u github.com/pseudomuto/protoc-gen-doc/cmd/...

## golang-gitaly-proto 0.26.0+dfsg

=== debian/changelog ===
golang-gitaly-proto (0.26.0+dfsg-2) unstable; urgency=medium

  * Fix Vcs-Git URL
  * Add missing golang-any build-dep

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 28 Jan 2018 19:55:57 +0100

golang-gitaly-proto (0.26.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Mon, 11 Sep 2017 21:58:14 +0530

golang-gitaly-proto (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix vcs path (move it to pkg-go/packages)

 -- Pirate Praveen <praveen@debian.org>  Sat, 19 Aug 2017 23:48:21 +0530

golang-gitaly-proto (0.4.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #870466)

 -- Pirate Praveen <praveen@debian.org>  Sat, 05 Aug 2017 20:45:34 +0530

=== debian/control ===
Source: golang-gitaly-proto
Section: devel
Priority: optional
Maintainer: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9),
 dh-golang,
 golang-goprotobuf-dev,
 libprotobuf-dev,
 golang-google-grpc-dev,
 ruby-grpc-tools,
 gem2deb,
 ruby-google-protobuf (>= 3.1),
 ruby-grpc (>= 1.0),
 golang-any
Standards-Version: 4.0.0
Homepage: https://gitlab.com/gitlab-org/gitaly-proto
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gitaly-proto.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-gitaly-proto.git
XS-Ruby-Versions: all
XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly-proto

Package: golang-gitaly-proto-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Protobuf specifications and client libraries for Gitaly
 Auto-generated gRPC go client for gitaly.
 .
 Gitaly is part of GitLab. It is a server application that uses its own gRPC
 protocol to communicate with its clients.

Package: ruby-gitaly
Section: ruby
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-google-protobuf (>= 3.1),
         ruby-grpc (>= 1.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Auto-generated gRPC client for gitaly
 Auto-generated gRPC ruby client for gitaly.
 .
 Gitaly is part of GitLab. It is a server application that uses its own gRPC
 protocol to communicate with its clients.

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*v(.*)\/.*/gitaly-proto-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*$/$1/ \
https://gitlab.com/gitlab-org/gitaly-proto/tags?sort=updated_desc .*/repository/v(.*)/archive.tar.gz

## golang-gitaly-proto 0.99.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	_support/check-grpc-proto-clients
 
 .PHONY: install-developer-tools
-install-developer-tools: $(TARGET_SETUP) $(PROTOC) $(PROTOC_GEN_GO) $(PROTOC_GEN_RUBY)
+install-developer-tools: $(TARGET_SETUP) $(PROTOC) $(PROTOC_GEN_RUBY)
 
 .PHONY: docs
 docs: $(TARGET_SETUP) $(PROTOC_GEN_DOC) $(PROTOC)
@@ -54,9 +54,6 @@
 $(PROTOC): $(TARGET_SETUP)
 	_support/install-protoc
 
-$(PROTOC_GEN_GO): $(TARGET_SETUP)
-	go get -v github.com/golang/protobuf/protoc-gen-go
-
 $(PROTOC_GEN_RUBY): $(TARGET_SETUP) _support/Gemfile
 	bundle install --gemfile=_support/Gemfile --binstubs=$(BIN_BUILD_DIR)

=== debian/changelog ===
golang-gitaly-proto (0.99.0+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Manas kashyap ]
  * New upstream release
  * Bump standards version to 4.1.4 (no changes) 
 
 -- Manas kashyap <manaskashyaptech@gmail.com>  Fri, 04 May 2018 15:40:34 +0000

golang-gitaly-proto (0.89.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.89.0+dfsg
  * Refresh patches (gitaly.gemspec is now gitaly-proto.gemspec)
  * Provide ruby-gitaly-proto (gitaly gem is now renamed to gitaly-proto)
  * Bump debhelper compat to 11 and standards version to 4.1.3

 -- Pirate Praveen <praveen@debian.org>  Thu, 15 Mar 2018 18:34:21 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
  dh-golang,
  golang-goprotobuf-dev,
  libprotobuf-dev,
@@ -12,10 +12,10 @@
  ruby-google-protobuf (>= 3.1),
  ruby-grpc (>= 1.0),
  golang-any
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://gitlab.com/gitlab-org/gitaly-proto
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-gitaly-proto.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-gitaly-proto.git
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gitaly-proto.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gitaly-proto
 XS-Ruby-Versions: all
 XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly-proto
 
@@ -37,6 +37,7 @@
          ruby-grpc (>= 1.0),
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: ruby-gitaly-proto
 Description: Auto-generated gRPC client for gitaly
  Auto-generated gRPC ruby client for gitaly.
  .

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=/usr
export DH_RUBY = --gem-install
export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly

%:
	dh $@  --buildsystem=golang --with=golang --package=golang-gitaly-proto-dev
	dh $@  --buildsystem=ruby --with=ruby --package=ruby-gitaly

override_dh_auto_configure:
	_support/generate-from-proto
	dh_auto_configure -O--buildsystem=golang -O--package=golang-gitaly-proto-dev
	dh_auto_configure -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang -O--package=golang-gitaly-proto-dev --destdir=debian/golang-gitaly-proto-dev
	dh_auto_install -O--buildsystem=ruby -O--package=ruby-gitaly --destdir=debian/ruby-gitaly

override_dh_auto_clean:
	rm -rf go/*.pb.go
	rm -rf ruby/lib/gitaly/*_pb.rb
	dh_auto_clean -O--buildsystem=golang -O--package=golang-gitaly-proto-dev
	dh_auto_clean -O--buildsystem=ruby

## golang-gitaly-proto 0.117.0+dfsg

=== debian/changelog ===
golang-gitaly-proto (0.117.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Thu, 22 Nov 2018 12:34:00 +0530

golang-gitaly-proto (0.117.0+dfsg-1) experimental; urgency=medium

  * Change maintainer address to team address
  * New upstream version 0.117.0+dfsg

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Nov 2018 11:55:01 +0530

golang-gitaly-proto (0.113.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Tue, 20 Nov 2018 10:22:14 +0530

golang-gitaly-proto (0.113.0+dfsg-1) experimental; urgency=medium

  * New upstream version 0.113.0+dfsg
  * Add autopkgtest
  * Add version to Provides: ruby-gitaly-proto

 -- Pirate Praveen <praveen@debian.org>  Tue, 20 Nov 2018 10:21:30 +0530

golang-gitaly-proto (0.105.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Nov 2018 13:00:29 +0530

golang-gitaly-proto (0.105.0+dfsg-1) experimental; urgency=medium

  * New upstream version 0.105.0+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 09 Nov 2018 22:14:33 +0530

golang-gitaly-proto (0.99.0+dfsg-3) unstable; urgency=medium

  * Reupload to unstable (ruby-grpc >= 1.10 is now in unstable)
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Oct 2018 22:39:39 +0530

golang-gitaly-proto (0.99.0+dfsg-2) experimental; urgency=medium

  * Tighten dependency on ruby-grpc (Closes: #898228)
    (ruby-grpc >= 1.10 is available only in experimental)
  * Check rubygem dependencies during build

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 May 2018 20:43:43 +0530

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export GOPATH=/usr
 export DH_RUBY = --gem-install
 export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly
+export GEM2DEB_TEST_RUNNER = --check-dependencies
 
 %:
 	dh $@  --buildsystem=golang --with=golang --package=golang-gitaly-proto-dev

## golang-gitaly-proto 0.118.1+dfsg

=== debian/changelog ===
golang-gitaly-proto (0.118.1+dfsg-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Dec 2018 16:27:49 +0530

golang-gitaly-proto (0.118.1+dfsg-1) experimental; urgency=medium

  * New upstream version 0.118.1+dfsg

 -- Pirate Praveen <praveen@debian.org>  Wed, 05 Dec 2018 22:47:19 +0530

## golang-gitaly-proto 0.123.0+dfsg

=== debian/changelog ===
golang-gitaly-proto (0.123.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 15:05:04 +0530

golang-gitaly-proto (0.123.0+dfsg-1) experimental; urgency=medium

  * New upstream version 0.123.0+dfsg
  * Workaround the build failure in golang build

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Dec 2018 23:31:38 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: golang-gitaly-proto
 Section: devel
 Priority: optional
-Maintainer: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>
+Build-Depends: debhelper (>= 11~),
  dh-golang,
  golang-goprotobuf-dev,
  libprotobuf-dev,
  golang-google-grpc-dev,
  ruby-grpc-tools,
  gem2deb,
- ruby-google-protobuf (>= 3.1),
- ruby-grpc (>= 1.0),
+ ruby-google-protobuf (>= 3.1~),
+ ruby-grpc (>= 1.10~),
  golang-any
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://gitlab.com/gitlab-org/gitaly-proto
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gitaly-proto.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gitaly-proto
@@ -33,11 +34,11 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby | ruby-interpreter,
-         ruby-google-protobuf (>= 3.1),
-         ruby-grpc (>= 1.0),
+         ruby-google-protobuf (>= 3.1~),
+         ruby-grpc (>= 1.10~),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: ruby-gitaly-proto
+Provides: ruby-gitaly-proto (= ${source:Version})
 Description: Auto-generated gRPC client for gitaly
  Auto-generated gRPC ruby client for gitaly.
  .

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=/usr
export DH_RUBY = --gem-install
export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	# Skip building golang temporarily https://gitlab.com/gitlab-org/gitaly/issues/1427 (using embedded copy in gitaly)
	dh $@  --buildsystem=golang --with=golang --package=golang-gitaly-proto-dev
	dh $@  --buildsystem=ruby --with=ruby --package=ruby-gitaly

override_dh_auto_configure:
	mkdir -p go/gitalypb
	_support/generate-from-proto
	#dh_auto_configure -O--buildsystem=golang -O--package=golang-gitaly-proto-dev
	dh_auto_configure -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_build:
	dh_auto_build -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_test:
	dh_auto_test -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_install:
	#dh_auto_install -O--buildsystem=golang -O--package=golang-gitaly-proto-dev --destdir=debian/golang-gitaly-proto-dev
	dh_auto_install -O--buildsystem=ruby -O--package=ruby-gitaly --destdir=debian/ruby-gitaly

override_dh_golang:

override_dh_auto_clean:
	rm -rf go/*.pb.go
	rm -rf ruby/lib/gitaly/*_pb.rb
	rm -rf go/gitalypb
	dh_auto_clean -O--buildsystem=golang -O--package=golang-gitaly-proto-dev
	dh_auto_clean -O--buildsystem=ruby

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
filenamemangle=s/.*v(.*)\/.*/gitaly-proto-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*$/$1/ \
https://gitlab.com/gitlab-org/gitaly-proto/tags .*/gitaly-proto-v(.*).tar.gz

## golang-gitaly-proto 1.14.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 # Developer Tools
 PROTOC = $(TARGET_DIR)/protoc/bin/protoc
-PROTOC_GEN_RUBY = $(BIN_BUILD_DIR)/grpc_tools_ruby_protoc
 PROTOC_GEN_GO = $(BIN_BUILD_DIR)/protoc-gen-go
 PROTOC_GEN_DOC = $(BIN_BUILD_DIR)/protoc-gen-doc
 
@@ -28,7 +27,7 @@
 
 .PHONY: clean
 clean:
-	rm -rf $(TARGET_DIR) public
+	rm -rf $(TARGET_DIR) public .ruby-bundle
 
 .PHONY: release
 release: install-developer-tools
@@ -42,7 +41,7 @@
 	_support/check-grpc-proto-clients
 
 .PHONY: install-developer-tools
-install-developer-tools: $(TARGET_SETUP) $(PROTOC) $(PROTOC_GEN_RUBY)
+install-developer-tools: $(TARGET_SETUP) $(PROTOC) .ruby-bundle
 
 .PHONY: docs
 docs: $(TARGET_SETUP) $(PROTOC_GEN_DOC) $(PROTOC)
@@ -54,8 +53,9 @@
 $(PROTOC): $(TARGET_SETUP)
 	_support/install-protoc
 
-$(PROTOC_GEN_RUBY): $(TARGET_SETUP) _support/Gemfile
+.ruby-bundle: $(TARGET_SETUP) _support/Gemfile.lock
 	bundle install --gemfile=_support/Gemfile --binstubs=$(BIN_BUILD_DIR)
+	touch $@	
 
 $(PROTOC_GEN_DOC): $(TARGET_SETUP)
 	go get -v -u github.com/pseudomuto/protoc-gen-doc/cmd/...

=== debian/changelog ===
golang-gitaly-proto (1.14.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Mar 2019 15:45:12 +0530

golang-gitaly-proto (1.14.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.14.0+dfsg
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Mar 2019 11:34:32 +0530

golang-gitaly-proto (1.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.0+dfsg

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Dec 2018 18:58:35 +0530

## golang-gitaly-proto 1.22.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,14 +4,15 @@
 
 unexport GOROOT
 unexport GOBIN
+export GO111MODULE = on
 
-export GOPATH := $(TARGET_DIR)
-export PATH := $(GOPATH)/bin:$(PATH)
+export PATH := $(TARGET_DIR)/bin:$(PATH)
 
 # Developer Tools
 PROTOC = $(TARGET_DIR)/protoc/bin/protoc
 PROTOC_GEN_GO = $(BIN_BUILD_DIR)/protoc-gen-go
 PROTOC_GEN_DOC = $(BIN_BUILD_DIR)/protoc-gen-doc
+PROTOC_GEN_GITALY := $(BIN_BUILD_DIR)/protoc-gen-gitaly
 
 .PHONY: all
 all: generate
@@ -22,7 +23,7 @@
 	touch $(TARGET_SETUP)
 
 .PHONY: generate
-generate: install-developer-tools
+generate: install-developer-tools go/gitalypb/*.pb.go
 	_support/generate-from-proto
 
 .PHONY: clean
@@ -41,7 +42,7 @@
 	_support/check-grpc-proto-clients
 
 .PHONY: install-developer-tools
-install-developer-tools: $(TARGET_SETUP) $(PROTOC) .ruby-bundle
+install-developer-tools: $(TARGET_SETUP) $(PROTOC) .ruby-bundle $(PROTOC_GEN_GITALY)
 
 .PHONY: docs
 docs: $(TARGET_SETUP) $(PROTOC_GEN_DOC) $(PROTOC)
@@ -55,7 +56,38 @@
 
 .ruby-bundle: $(TARGET_SETUP) _support/Gemfile.lock
 	bundle install --gemfile=_support/Gemfile --binstubs=$(BIN_BUILD_DIR)
-	touch $@	
+	touch $@
+
+$(PROTOC_GEN_GO): $(TARGET_SETUP)
+	cd go/internal; go build -o $@ github.com/golang/protobuf/protoc-gen-go
 
 $(PROTOC_GEN_DOC): $(TARGET_SETUP)
-	go get -v -u github.com/pseudomuto/protoc-gen-doc/cmd/...
+	cd go/internal; go build -o $@ github.com/pseudomuto/protoc-gen-doc/cmd/protoc-gen-doc
+
+$(PROTOC_GEN_GITALY): $(TARGET_SETUP)
+	# Check if test protobuf stubs are stale
+	cd go/internal; go build -o $@ gitlab.com/gitlab-org/gitaly-proto/go/internal/cmd/protoc-gen-gitaly
+
+.PHONY: pb-go-stubs
+pb-go-stubs: go/gitalypb/*.pb.go
+
+go/gitalypb/%.pb.go: %.proto $(PROTOC) $(PROTOC_GEN_GO) $(PROTOC_GEN_GITALY)
+	$(PROTOC) --gitaly_out=. --go_out=paths=source_relative,plugins=grpc:./go/gitalypb -I$(shell pwd) *.proto
+
+go/internal/linter/testdata/%.pb.go: go/internal/linter/testdata/%.proto $(PROTOC) $(PROTOC_GEN_GO) go/gitalypb/*.pb.go
+	$(PROTOC) --go_out=paths=source_relative:. -I$(shell pwd) -I$(shell pwd)/go/internal/linter/testdata go/internal/linter/testdata/*.proto
+
+.PHONY: test
+test: test-go-pkg-opt
+	cd go/internal; go test ./...
+
+# test-go-pkg-opt checks if the go_package option is specified in all *.proto
+# files
+.PHONY: test-go-pkg-opt
+test-go-pkg-opt:
+	@for p in *.proto ; do \
+		if ! grep -Fq "option go_package" $${p} ; then \
+			echo "$${p} is missing the go_package option" ; \
+			exit 1 ; \
+		fi \
+	done

=== debian/changelog ===
golang-gitaly-proto (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.22.0+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 17 May 2019 14:38:28 +0530

golang-gitaly-proto (1.19.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release 

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Wed, 08 May 2019 02:33:11 +1000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ruby-google-protobuf (>= 3.1~),
  ruby-grpc (>= 1.10~),
  golang-any
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://gitlab.com/gitlab-org/gitaly-proto
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gitaly-proto.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gitaly-proto

## golang-gitaly-proto 1.27.0+dfsg

=== debian/changelog ===
golang-gitaly-proto (1.27.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jul 2019 22:49:45 +0530

golang-gitaly-proto (1.27.0+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream 

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Sun, 23 Jun 2019 13:12:09 +0530

## golang-gitaly-proto 1.27.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 pb-go-stubs: go/gitalypb/*.pb.go
 
 go/gitalypb/%.pb.go: %.proto $(PROTOC) $(PROTOC_GEN_GO) $(PROTOC_GEN_GITALY)
-	$(PROTOC) --gitaly_out=. --go_out=paths=source_relative,plugins=grpc:./go/gitalypb -I$(shell pwd) *.proto
+	$(PROTOC) --gitaly_out=proto_dir=.,gitalypb_dir=go/gitalypb:. --go_out=paths=source_relative,plugins=grpc:./go/gitalypb -I$(shell pwd) *.proto
 
 go/internal/linter/testdata/%.pb.go: go/internal/linter/testdata/%.proto $(PROTOC) $(PROTOC_GEN_GO) go/gitalypb/*.pb.go
 	$(PROTOC) --go_out=paths=source_relative:. -I$(shell pwd) -I$(shell pwd)/go/internal/linter/testdata go/internal/linter/testdata/*.proto

=== debian/changelog ===
golang-gitaly-proto (1.27.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.27.2+dfsg
  * Bump Standards-Version to 4.4.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sat, 03 Aug 2019 10:50:31 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ruby-google-protobuf (>= 3.1~),
  ruby-grpc (>= 1.10~),
  golang-any
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/gitlab-org/gitaly-proto
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gitaly-proto.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gitaly-proto

## golang-gitaly-proto 1.37.0%2Bdfsg

=== debian/changelog ===
golang-gitaly-proto (1.37.0+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sun, 06 Oct 2019 23:35:53 +0530

golang-gitaly-proto (1.37.0+dfsg-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Build golang part again (not complete)
  * Generate pb.rb files in configure
  
  [Sruthi Chandran ]
  * New upstream version 1.37.0+dfsg

 -- Sruthi Chandran <srud@debian.org>  Thu, 03 Oct 2019 22:53:02 +0530

golang-gitaly-proto (1.32.0+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 11 Sep 2019 11:15:58 +0530

golang-gitaly-proto (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.32.0+dfsg

 -- Sruthi Chandran <srud@debian.org>  Sat, 07 Sep 2019 00:03:15 +0530

golang-gitaly-proto (1.27.2+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 06 Aug 2019 18:38:57 +0000

golang-gitaly-proto (1.27.0+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jul 2019 22:55:04 +0530

golang-gitaly-proto (1.22.0+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 05 Jun 2019 18:13:05 +0530

golang-gitaly-proto (1.14.0+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Mar 2019 23:11:53 +0530

## golang-gitaly-proto 1.37.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -59,14 +59,14 @@
 	touch $@
 
 $(PROTOC_GEN_GO): $(TARGET_SETUP)
-	cd go/internal; go build -o $@ github.com/golang/protobuf/protoc-gen-go
+	cd go/internal && go build -o $@ github.com/golang/protobuf/protoc-gen-go
 
 $(PROTOC_GEN_DOC): $(TARGET_SETUP)
-	cd go/internal; go build -o $@ github.com/pseudomuto/protoc-gen-doc/cmd/protoc-gen-doc
+	cd go/internal && go build -o $@ github.com/pseudomuto/protoc-gen-doc/cmd/protoc-gen-doc
 
 $(PROTOC_GEN_GITALY): $(TARGET_SETUP)
 	# Check if test protobuf stubs are stale
-	cd go/internal; go build -o $@ gitlab.com/gitlab-org/gitaly-proto/go/internal/cmd/protoc-gen-gitaly
+	cd go/internal && go build -o $@ gitlab.com/gitlab-org/gitaly-proto/go/internal/cmd/protoc-gen-gitaly
 
 .PHONY: pb-go-stubs
 pb-go-stubs: go/gitalypb/*.pb.go
@@ -79,7 +79,7 @@
 
 .PHONY: test
 test: test-go-pkg-opt
-	cd go/internal; go test ./...
+	cd go/internal && go test ./...
 
 # test-go-pkg-opt checks if the go_package option is specified in all *.proto
 # files

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=/usr
export DH_RUBY = --gem-install
export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly
export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@  --buildsystem=golang --with=golang --package=golang-gitaly-proto-dev
	dh $@  --buildsystem=ruby --with=ruby --package=ruby-gitaly

override_dh_auto_configure:
	_support/generate-from-proto
	dh_auto_configure -O--buildsystem=golang -O--package=golang-gitaly-proto-dev
	dh_auto_configure -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_build:
	dh_auto_build -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_test:
	dh_auto_test -O--buildsystem=ruby -O--package=ruby-gitaly

override_dh_auto_install:
	dh_auto_install -O--buildsystem=golang -O--package=golang-gitaly-proto-dev --destdir=debian/golang-gitaly-proto-dev
	dh_auto_install -O--buildsystem=ruby -O--package=ruby-gitaly --destdir=debian/ruby-gitaly

override_dh_golang:

override_dh_auto_clean:
	rm -rf go/*.pb.go
	rm -rf go/gitalypb/*.pb.go
	rm -rf ruby/lib/gitaly/*_pb.rb
	dh_auto_clean -O--buildsystem=golang -O--package=golang-gitaly-proto-dev
	dh_auto_clean -O--buildsystem=ruby

=== debian/tests/control ===
Test-Command: ruby -e gem\ \"gitaly-proto\"
Depends: ruby-gitaly-proto
